/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.util;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.Hashtable;
import org.enhydra.jdbc.pool.GenerationObject;


/**
 * interface for ESStore object
 */
public interface ConnectionPool {
    public void updateDB(Connection con, String sql) throws SQLException, Exception;
    public Connection connectDb(String datasourcename) throws Exception;
    public void setShopConfig(Configuration shopConfig, String name) throws Exception;
    public void setReconnect_on_err(boolean reconnect);
    public String toString();
    public Hashtable getPool();
    public void removeUnlockedObject(GenerationObject obj);
    public Hashtable getUsedPool();
    public void removeLockedObject(GenerationObject obj);

}
